<?php

namespace App\Factory;

use App\Entity\UserGroup;
use App\Repository\UserGroupRepository;
use Zenstruck\Foundry\ModelFactory;
use Zenstruck\Foundry\Proxy;
use Zenstruck\Foundry\RepositoryProxy;

/**
 * @extends ModelFactory<UserGroup>
 */
final class UserGroupFactory extends ModelFactory
{
    public function __construct()
    {
        parent::__construct();
    }


    protected function getDefaults(): array
    {
        return [
            'createdAt' => self::faker()->dateTime(),
            'permissions' => [],
            'updatedAt' => self::faker()->dateTime(),
        ];
    }

    /**
     * @see https://symfony.com/bundles/ZenstruckFoundryBundle/current/index.html#initialization
     */
    protected function initialize(): self
    {
        return $this
            // ->afterInstantiate(function(UserGroup $userGroup): void {})
        ;
    }

    protected static function getClass(): string
    {
        return UserGroup::class;
    }
}
